Index: src/UIElements/CommandLineUI/CommandLineParser.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision cca9efb7bf18583f35d0380acb97e9034c42bbe7)
+++ src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision ad727091ea334c1a264e49463c1dfd9494856a64)
@@ -97,17 +97,17 @@
       const OptionTrait* const currentOption = OptionRegistry::getInstance().getOptionByName(optioniter->first);
       // add the option
-      std::cout << "Registering Option "
-          << currentOption->getName()
-          << " with type '" << currentOption->getTypeName() << "' "
-          << " with description '" << currentOption->getDescription() << "' ";
-      if (currentOption->hasShortForm())
-        std::cout << ", with short form " << currentOption->getShortForm();
-      else
-        std::cout << ", with no short form ";
-      if (currentOption->hasDefaultValue())
-        std::cout << ", with default value " << currentOption->getDefaultValue();
-      else
-        std::cout << ", with no default value ";
-      std::cout << std::endl;
+//      std::cout << "Registering Option "
+//          << currentOption->getName()
+//          << " with type '" << currentOption->getTypeName() << "' "
+//          << " with description '" << currentOption->getDescription() << "' ";
+//      if (currentOption->hasShortForm())
+//        std::cout << ", with short form " << currentOption->getShortForm();
+//      else
+//        std::cout << ", with no short form ";
+//      if (currentOption->hasDefaultValue())
+//        std::cout << ", with default value " << currentOption->getDefaultValue();
+//      else
+//        std::cout << ", with no default value ";
+//      std::cout << std::endl;
 
       AddOptionToParser(currentOption, (CmdParserLookup["options"]));
@@ -116,18 +116,18 @@
     if (!ActionAlreadyAdded_flag) {
       // add the action
-      std::cout << "Registering Action "
-          << currentAction->Traits.getName()
-          << " in menu " << currentAction->Traits.getMenuName()
-          << " with type '" << currentAction->Traits.getTypeName() << "' "
-          << " with description '" << currentAction->Traits.getDescription() << "' ";
-      if (currentAction->Traits.hasShortForm())
-        std::cout << ", with short form " << currentAction->Traits.getShortForm();
-      else
-        std::cout << ", with no short form ";
-      if (currentAction->Traits.hasDefaultValue())
-        std::cout << ", with default value " << currentAction->Traits.getDefaultValue();
-      else
-        std::cout << ", with no default value ";
-      std::cout  << std::endl;
+//      std::cout << "Registering Action "
+//          << currentAction->Traits.getName()
+//          << " in menu " << currentAction->Traits.getMenuName()
+//          << " with type '" << currentAction->Traits.getTypeName() << "' "
+//          << " with description '" << currentAction->Traits.getDescription() << "' ";
+//      if (currentAction->Traits.hasShortForm())
+//        std::cout << ", with short form " << currentAction->Traits.getShortForm();
+//      else
+//        std::cout << ", with no short form ";
+//      if (currentAction->Traits.hasDefaultValue())
+//        std::cout << ", with default value " << currentAction->Traits.getDefaultValue();
+//      else
+//        std::cout << ", with no default value ";
+//      std::cout  << std::endl;
 
       ASSERT(CmdParserLookup.find(currentAction->Traits.getMenuName()) != CmdParserLookup.end(),
@@ -156,5 +156,5 @@
   ASSERT(currentOption != NULL, "CommandLineParser::AddOptionToParser() - currentOption is NULL!");
   // add other options
-  std::cout << "Adding Action " << currentOption->getName() << " with type " << currentOption->getType()->name() << " and KeyandShortform " << currentOption->getKeyAndShortForm() << " to CommandLineParser." << std::endl;
+  //std::cout << "Adding Action " << currentOption->getName() << " with type " << currentOption->getType()->name() << " and KeyandShortform " << currentOption->getKeyAndShortForm() << " to CommandLineParser." << std::endl;
   switch(TypeToEnums.getEnumforType(currentOption->getType())) {
     default:
@@ -369,12 +369,13 @@
 {
   std::map <std::string, std::string> ShortFormToActionMap = getShortFormToActionMap();
+  DoLog(0) && (Log() << Verbose(0) << "Scanning command line arguments and recognizing Actions." << std::endl);
   // go through all arguments
   for (int i=1;i<argc;i++) {
-    (std::cout << Verbose(1) << "Checking on " << argv[i] << std::endl);
+    DoLog(2) && (Log() << Verbose(2) << "Checking on " << argv[i] << std::endl);
     // check whether they
     if (argv[i][0] == '-') { // .. begin with -
-      (cout << Verbose(1) << "Possible argument: " << argv[i] << endl);
+      DoLog(2) && (Log() << Verbose(2) << "Possible argument: " << argv[i] << endl);
       if (argv[i][1] == '-') { // .. or --
-        (cout << Verbose(1) << "Putting " << argv[i] << " into the sequence." << endl);
+        DoLog(1) && (Log() << Verbose(1) << "Putting " << argv[i] << " into the sequence." << endl);
         SequenceOfActions.push_back(&(argv[i][2]));
         //  .. and check that next letter is not numeric, if so insert
@@ -382,5 +383,5 @@
         std::map <std::string, std::string>::iterator iter = ShortFormToActionMap.find(&(argv[i][1]));
         if (iter != ShortFormToActionMap.end()) {
-          (cout << Verbose(1) << "Putting " << iter->second << " for " << iter->first << " into the sequence." << endl);
+          DoLog(1) && (Log() << Verbose(1) << "Putting " << iter->second << " for " << iter->first << " into the sequence." << endl);
           SequenceOfActions.push_back(iter->second);
         }
Index: src/UIElements/CommandLineUI/CommandLineWindow.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision cca9efb7bf18583f35d0380acb97e9034c42bbe7)
+++ src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision ad727091ea334c1a264e49463c1dfd9494856a64)
@@ -25,4 +25,7 @@
 #include "CommandLineUI/CommandLineStatusIndicator.hpp"
 
+#include "Helpers/Log.hpp"
+#include "Helpers/Verbose.hpp"
+
 #include "Actions/Action.hpp"
 #include "Actions/ActionRegistry.hpp"
@@ -50,11 +53,15 @@
 
   // go through all possible actions
+  DoLog(0) && (Log() << Verbose(0) << "Calling Actions ... " << std::endl);
   for (std::list<std::string>::iterator CommandRunner = CommandLineParser::getInstance().SequenceOfActions.begin(); CommandRunner != CommandLineParser::getInstance().SequenceOfActions.end(); ++CommandRunner) {
-    cout << "Checking presence of " << *CommandRunner << ": ";
     if (ActionRegistry::getInstance().isActionPresentByName(*CommandRunner)) {
-      cout << "calling " << *CommandRunner << endl;
+      DoLog(1) && (Log() << Verbose(1)
+          << "Checking presence of " << *CommandRunner << ": "
+          << "calling " << *CommandRunner << endl);
       ActionRegistry::getInstance().getActionByName(*CommandRunner)->call();
     } else {
-      cout << "absent." << endl;
+      DoLog(1) && (Log() << Verbose(1)
+          << "Checking presence of " << *CommandRunner << ": "
+          << "absent." << endl);
     }
   }
Index: src/UIElements/CommandLineUI/TypeEnumContainer.cpp
===================================================================
--- src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision cca9efb7bf18583f35d0380acb97e9034c42bbe7)
+++ src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision ad727091ea334c1a264e49463c1dfd9494856a64)
@@ -64,5 +64,6 @@
   TypeEnumMap[&typeid(std::vector<const element *>)] = ListOfElementsType;
 
-  ListAllKnownTypes();
+  // for debugging: list all stored types
+  //ListAllKnownTypes();
 };
 
@@ -83,7 +84,4 @@
     std::cout << " Known type is " << (iter->first)->name() << " or enum " << iter->second << std::endl;
   }
-  std::cout << "BoxVector type is " << typeid(BoxVector).name() << std::endl;
-  std::cout << "Vector type is " << typeid(Vector).name() << std::endl;
-  std::cout << "VectorValue type is " << typeid(VectorValue).name() << std::endl;
 }
 
@@ -94,5 +92,5 @@
 enum TypeEnumContainer::EnumOfTypes TypeEnumContainer::getEnumforType(const std::type_info *_type)
 {
-  std::cout << "Looking for type " << _type->name() << std::endl;
+  //std::cout << "Looking for type " << _type->name() << std::endl;
   ASSERT(TypeEnumMap.find(_type) != TypeEnumMap.end(),
       "CommandLineParser::getEnumforType() - cannot find the type as enum!.");
